create table TIME_TRANSCODING ( 
  TR_ID bigint NOT NULL,
  FREQ varchar(5) NOT NULL,
  YEAR_COL_ID bigint NULL,
  PERIOD_COL_ID bigint NULL,
  DATE_COL_ID bigint NULL,
  EXPRESSION varchar(150) NULL
)
;

ALTER TABLE TIME_TRANSCODING ADD CONSTRAINT PK_TIME_TRANSCODING
    PRIMARY KEY(TR_ID, FREQ)
;
